petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSNESGetPicard

get SNES Picard iteration evaluation functions

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetPicard(DM dm,PetscErrorCode (**b)(SNES,Vec,Vec,void*),PetscErrorCode (**J)(SNES,Vec,Mat,Mat,void*),void **ctx)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Arguments

| b | - RHS evaluation function; see SNESFunction for details
| J | - RHS evaluation function; see SNESJacobianFunction for detailsa
| ctx | - context for residual evaluation

### See Also

DMSNESSetContext(), SNESSetFunction(), DMSNESSetJacobian()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages